<div class="consent-small-box mat-elevation-z4" fxLayout="column">
  <div class="consent-container mat-elevation-z4">
    
    <form [formGroup]="recommServiceGroup">
    <mat-card  style="margin-top: 10px;">
      <mat-card-header>
        <mat-card-title>Recommended Services</mat-card-title> 
      </mat-card-header>
      <mat-card-content> 
        <mat-lable class="required-label-color" style="padding-left: 45px">At least one item must be checked.</mat-lable>
        <mat-form-field style="width: 80%;margin-left: 40px;" appearance="outline">
          <mat-select formControlName="ddlCtrl"(selectionChange)="ctrlChanged()" [(ngModel)]="arr" placeholder = "(Check all that apply,including those currently in place, provide an explanation of checked items in the Psychosocial Summary.)" multiple >
            <mat-select-trigger>(Check all that apply,including those currently in place, provide an explanation of checked items in the Psychosocial Summary.)</mat-select-trigger>
            <mat-option *ngFor="let siteFeature of psychosocialSummary" [value]="siteFeature.typeId">
              {{siteFeature.description}}
            </mat-option>
          </mat-select>
        </mat-form-field> <br/>
        <div class="content-sub" *ngIf="arr.length > 0" style="margin-left: 3%">
          <span *ngIf="parentPageID == 1">You selected:</span>
          <span *ngIf="parentPageID == 2">Referring Agency Recommendations:</span>
          <div class="content-sub"  *ngFor="let i of arr">
            {{displayItem(i)}}
          </div>
        </div>
        <div class="content-sub" style="margin-left: 3%">
          <mat-checkbox formControlName="chkboxCtrl" (change)="onOtherChkChange($event)"> Other :</mat-checkbox>
            <mat-form-field *ngIf="true" appearance="outline" class="content-sub-field" style="width: 76%; padding-left: 10px">
              <textarea matInput formControlName="textareaCtrl" (change)="onTextChange()" 
                  cdkTextareaAutosize
                  cdkAutosizeMinRows="1"
                  cdkAutosizeMaxRows="4" 
                  maxlength="250" matInput></textarea>
            </mat-form-field>
        </div>
      </mat-card-content>
  </mat-card>
</form>
  </div>
</div>